﻿using Xamarin.Forms;

using System.IO;
using System;
using DBDraft.Data;
using DBDraft.Model;
namespace DBDraft
{
    public partial class App : Application
    {
        static AddressDatabase reportDatabase;

        public App()
        {
            MainPage = new NavigationPage(new MainPage());
        }

        public static AddressDatabase ReportDatabase
        {
            get
            {
                if (reportDatabase == null)
                {
                    reportDatabase = new AddressDatabase(Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData), "TestDB.db3"));
                }
                return reportDatabase;
            }
        }
    }
}
